MeasurementGtriggerType (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.galerts.MeasurementGtriggerType class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.galerts
Class MeasurementGtriggerType

    java.lang.Object
      org.hyperic.hq.measurement.galerts.MeasurementGtriggerType

All Implemented Interfaces:
  GtriggerType

    public class MeasurementGtriggerType

extends java.lang.Object
implements GtriggerType

Field Summary
`static java.lang.String` | `CFG_COMP_OPER`
`static java.lang.String` | `CFG_IS_NOT_REPORTING_OFFENDING`
`static java.lang.String` | `CFG_IS_PERCENT`
`static java.lang.String` | `CFG_METRIC_VAL`
`static java.lang.String` | `CFG_NUM_RESOURCE`
`static java.lang.String` | `CFG_SIZE_COMPAR`
`static java.lang.String` | `CFG_TEMPLATE_ID`

Constructor Summary
`MeasurementGtriggerType()`

Method Summary
`Gtrigger` | `createTrigger(ConfigResponse cfg)`
`ConfigSchema` | `getSchema()`
`boolean` | `validForGroup(ResourceGroup g)` Determine if a trigger is valid for a specified group.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CFG_SIZE_COMPAR

    public static final java.lang.String CFG_SIZE_COMPAR

See Also:
  Constant Field Values

### CFG_NUM_RESOURCE

    public static final java.lang.String CFG_NUM_RESOURCE

See Also:
  Constant Field Values

### CFG_IS_PERCENT

    public static final java.lang.String CFG_IS_PERCENT

See Also:
  Constant Field Values

### CFG_IS_NOT_REPORTING_OFFENDING

    public static final java.lang.String CFG_IS_NOT_REPORTING_OFFENDING

See Also:
  Constant Field Values

### CFG_TEMPLATE_ID

    public static final java.lang.String CFG_TEMPLATE_ID

See Also:
  Constant Field Values

### CFG_COMP_OPER

    public static final java.lang.String CFG_COMP_OPER

See Also:
  Constant Field Values

### CFG_METRIC_VAL

    public static final java.lang.String CFG_METRIC_VAL

See Also:
  Constant Field Values

Constructor Detail

### MeasurementGtriggerType

    public MeasurementGtriggerType()

Method Detail

### createTrigger

    public Gtrigger createTrigger(ConfigResponse cfg)

  Specified by:
    `createTrigger` in interface `GtriggerType`

### getSchema

    public ConfigSchema getSchema()

  Specified by:
    `getSchema` in interface `GtriggerType`

### validForGroup

    public boolean validForGroup(ResourceGroup g)

  Description copied from interface: `GtriggerType`
  Determine if a trigger is valid for a specified group. This is used to determine whether or not a trigger should be an option when creating an alert definition.

  Specified by:
    `validForGroup` in interface `GtriggerType`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.